Use unbroken guava version.

14.0.1-h-1 was released with a bad pom.
14.0.2-h-2 never made it to maven central.
diff --git a/stapler-core/pom.xml b/stapler-core/pom.xml
index 58d038a..0949799 100644
--- a/stapler-core/pom.xml
+++ b/stapler-core/pom.xml
@@ -123,7 +123,7 @@
         <dependency>
             <groupId>org.hudsonci.lib.guava</groupId>
             <artifactId>guava</artifactId>
-            <version>14.0.1-h-2</version>
+            <version>14.0.1-h-3</version>
             <type>jar</type>
         </dependency>